function ff=drwn_em_kntc_fun(w)
    global dwk
    sym w;
    
    vthe=dwk.vthe;vthi=dwk.vthi;
    wpe=dwk.wpe;wpi=dwk.wpi;
    wce=dwk.wce;wci=dwk.wci;
    
    wpe2=wpe*wpe;wpi2=wpi*wpi;
    
    kc=dwk.kc;kc2=kc*kc;
    left=dwk.left;em=dwk.em;
    
    zeta=@(x)faddeeva(x)*1i*sqrt(pi);
    
%     left=1; % left=-1, for right hand polorization; left=1, left hand
    wce=left*wce;
    wci=left*wci;
    
%     em=1: em model; em=0: darwin model
    if(left==0)
        ff=kc*kc+(wpe2/(vthe^2))*(1+w/(sqrt(2)*kc*vthe)*zeta(w/(sqrt(2)*kc*vthe)))+...
            (wpi2/(vthi^2))*(1+w/(sqrt(2)*kc*vthi)*zeta(w/(sqrt(2)*kc*vthi)));
    else
        ff=(kc2-em*w^2)-(wpe2*w/(sqrt(2)*kc*vthe))*zeta((w-wce)/(sqrt(2)*kc*vthe))...
            -(wpi2*w/(sqrt(2)*kc*vthi))*zeta((w+wci)/(sqrt(2)*kc*vthi));
    end